@import url("https://use.typekit.net/izt5wtz.css");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600&family=Open+Sans:wght@300;400;500;600&family=Oswald:wght@500&display=swap");

* {
  list-style-type: none;
  text-decoration: none;
  margin: 0;
  padding: 0;
}

:root {
  /* =========================================== font size =================================================== */
  /* --wreath-font: "wreath", serif;
    --wreath-weight: 700;
    --decoy-font: "decoy", serif;
    --decoy-weight: 400;
    --hoss-round: "hoss-round", sans-serif;
    --hoss-weight: 400;
    --inter-font: "Inter", "sans-serif"; */

  /* =========================================== colors ======================================================= */
  --green: #274f36;
  --white: #f5f5f5;
  --yellow: #fec208;
  --red: #ff2d08;
  --lightblue: #88c0bf;
  --black: #141414;
  --secondary-text-color: #ffffff;
  --error-message-color: #3f3737;

  /* ========================================== shadow ========================================== */
  --shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

body {
  font-family: "Inter", "sans-serif";
  /* line-height: 19.9px; */
}

/* ============================================== shop ==================================================== */
.shop {
  background-color: var(--yellow);
}

.header {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.topshop-container {
  background-color: var(--green);
  height: 20vh;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 1px;
}

.top-shop {
  width: 55%;
  display: flex;
  flex-wrap: wrap;
  padding: 1em;
  align-items: flex-start;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.shop-h1 {
  align-items: center;
  color: var(--white);
  font-size: 24px;
}

.white-box {
  width: 90%;
  background-color: var(--white);
  height: 24vh;
  align-self: center;
  transform: translate(0, -8vh);
  border-radius: 20px;
  box-shadow: var(--shadow);
}

.whitebox-container {
  padding: 1em;
  padding-left: 1.5em;
  padding-right: 1.5em;
  display: flex;
  flex-wrap: wrap;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  gap: 7vh;
}

.top-whitebox {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.x-icon {
  width: 30px;
  height: 30px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.line {
  position: absolute;
  width: 100%;
  height: 4px;
  background-color: var(--white);
  border-radius: 20px;
  transform-origin: center;
}

.line:first-child {
  top: calc(50% - 1px);
  transform: rotate(45deg);
}

.line:last-child {
  top: calc(50% - 1px);
  transform: rotate(-45deg);
}

.shop-h2 {
  font-weight: bold;
  font-size: 28px;
}

.bold {
  font-weight: bolder;
  font-size: 34px;
}

.white-left {
  width: 50%;
}

.vector {
  width: 15%;
}

.circle {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 2px solid var(--black);
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon {
  font-size: 20px;
  color: var(--black);
}

/*  ================shop main and points main ================ */
.shop-main,
.points-main {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  gap: 8vh;
}

.points-main {
  align-items: center;
  height: 16vh;
}

.choice-container {
  display: flex;
  flex-direction: column;
  width: 80vw;
  /* height: auto; */
  flex-wrap: wrap;
  align-content: center;
}

.points-container {
  display: flex;
  flex-direction: column;
  width: 90%;
  /* height: auto; */
  flex-wrap: wrap;
  align-content: center;
}

.choice-shop {
  display: flex;
  flex-direction: row;
  /* width: 100%;  */
  gap: 5vw;
}

.deals,
.merch {
  /* border: 2px solid var(--red) ; */
  /* background-color: var(--red); */
  padding: 0.7em;
  display: flex;
  width: 24vw;
  height: 3vh;
  border-radius: 20px;
  align-items: center;
  justify-content: center;
  border: 3.4px solid var(--white);
  color: var(--white);
  font-weight: 600;
  font-size: 20px;
  transition: 0.3s ease-in-out;
}

.deals.active {
  background-color: var(--lightblue);
  border: 3.4px solid var(--lightblue);
  transition: 0.3s ease-in-out;
}

.merch.active {
  background-color: var(--red);
  border: 3.4px solid var(--red);
  transition: 0.3s ease-in-out;
}

/* ============================================items========================================= */
.item-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin: 0.5em;
  border-radius: 20px;
  height: 170px;
  width: 170px;
}

.items-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.item {
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  align-items: center;
  margin: 0.5em;
  border-radius: 20px;
}

.merchandise {
  background: linear-gradient(
    to bottom,
    #ff2d08 0%,
    #ff2d08 50%,
    #ffffff 50%,
    #ffffff 100%
  );
}

.promo {
  background: linear-gradient(
    to bottom,
    #88c0bf 0%,
    #88c0bf 50%,
    #ffffff 50%,
    #ffffff 100%
  );
}

.bold {
  font-weight: bold;
  font-size: 20px;
  color: var(--black);
}

@keyframes fade-in {
  0% {
    opacity: 0;
    transform: scale(0.5);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* =======================================points =================================== */
.points-container .shop-h2 {
  font-size: 16px;
}

.top-shop {
  /* width: 70%; */
  font-size: small;
}

/* ===========================================animation============================================ */
.animate {
  animation-duration: 0.75s;
  animation-delay: 0.5s;
  animation-name: animate-fade;
  animation-timing-function: cubic-bezier(0.26, 0.53, 0.74, 1.48);
  animation-fill-mode: backwards;
}

.animate.slide {
  animation-name: animate-slide;
}

@keyframes animate-slide {
  0% {
    opacity: 0;
    transform: translate(0, 20px);
  }

  100% {
    opacity: 1;
    transform: translate(0, 0);
  }
}

.delay-1 {
  animation-delay: 0.6s;
}

.delay-2 {
  animation-delay: 0.7s;
}

.delay-3 {
  animation-delay: 0.8s;
}

.delay-4 {
  animation-delay: 0.9s;
}

.delay-5 {
  animation-delay: 1s;
}

.delay-6 {
  animation-delay: 1.1s;
}

/* ==========================================overlay img================================= */
.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fec208;
  z-index: 99;
  justify-content: center;
  align-items: center;
}

@keyframes zoom {
  from {
    transform: scale(0);
  }

  to {
    transform: scale(1);
  }
}

.overlay-box {
  width: inherit;
  height: auto;
  max-width: 80%;
  border-radius: 20px;
  padding: 0.5em;
  padding-top: 1em;
  padding-bottom: 1em;
  display: flex;
  background-color: var(--white);
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.3);
}

.overlay.show {
  display: flex;
  flex-direction: column;
}

.overlay-top {
  top: 0;
  position: absolute;
  width: 100%;
  display: flex;
  flex-direction: row;
}

.deal-container {
  animation-name: zoom;
  animation-duration: 0.6s;
  display: flex;
  flex-direction: column;
  gap: 5vh;
  align-self: center;
  width: 100%;
  align-items: center;
}

.overlay-message {
  font-size: 32px;
  color: var(--white);
  font-weight: 700;
}

.overlay-image {
  width: 80%;
  display: block;
  margin: auto;
  max-width: 100%;
  max-height: 100%;
}

.shoppy {
  gap: 6vh;
}

/* media query tablet  */
@media only screen and (max-device-width: 1024px) {
  .items-list {
    margin: 0em 5em;
  }

  .item {
    height: 205px;
    width: 205px;
  }
  .message-container {
    width: 400px;
  }
}

/* media query phone  */
@media only screen and (max-device-width: 768px) {
  .points-main,
  .shop-main {
    gap: 1vh;
  }

  .white-box {
    height: 20vh;
  }

  .overlay-box {
    max-width: 80%;
  }

  .circle {
    width: 27px;
    height: 27px;
  }

  .deals,
  .merch {
    font-size: 18px;
    height: 2vh;
  }

  .points {
    flex-wrap: nowrap;
    /* width: 90%; */
  }

  .choice-container {
    transform: translate(0, -5vh);
    /* width: 100%; */
  }

  .white-box {
    transform: translate(0, -10vh);
  }

  .shop-h1 {
    font-size: 12px;
  }

  .shop-h2 {
    font-size: 20px;
  }

  .bold {
    font-size: 22px;
  }

  .vector {
    width: 20%;
  }

  .whitebox-container {
    padding: 0.7em;
  }

  .items-list {
    margin: 0;
  }

  .item {
    height: 170px;
    width: 170px;
  }

  .message-container {
    width: 300px;
  }
}

@media only screen and (max-device-width: 376px) {
  .items-list {
    margin: 0;
  }

  .item {
    height: 170px;
    width: 170px;
  }

  .message-container {
    width: 250px;
  }
}

.message-container {
  display: none;
  position: fixed;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  top: 50%;
  height: 250px;
  background-color: var(--secondary-text-color);
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.5);
  border-radius: 50px;
  z-index: 99;
  font-family: var(--inter-font);
  animation: 0.5s ease-in easeIn;
}

@keyframes easeIn {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }
}

@-webkit-keyframes easeIn {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }
}

.close-button {
  color: var(--secondary-text-color);
  display: flex;
  width: 220px;
  justify-content: center;
  align-items: center;
  height: 40px;
  background-color: var(--red);
  border-radius: 20px;
  z-index: 99;
}

.error-text {
  font-size: 30px;
  z-index: 99;
}

.error-message {
  font-size: 20px;
  color: var(--error-message-color);
  text-align: center;
  z-index: 99;
}

.message-container-overlay {
  display: flex;
  justify-content: center;
  align-items: center;
}
